summaryrefslogtreecommitdiffstats
path: root/t/recipes/checks/systemd/systemd-missing-services/build-spec/debian/systemd-missing-services-with.init
diff options
context:
space:
mode:
Diffstat (limited to 't/recipes/checks/systemd/systemd-missing-services/build-spec/debian/systemd-missing-services-with.init')
-rw-r--r--t/recipes/checks/systemd/systemd-missing-services/build-spec/debian/systemd-missing-services-with.init21
1 files changed, 21 insertions, 0 deletions
diff --git a/t/recipes/checks/systemd/systemd-missing-services/build-spec/debian/systemd-missing-services-with.init b/t/recipes/checks/systemd/systemd-missing-services/build-spec/debian/systemd-missing-services-with.init
new file mode 100644
index 0000000..cfecc36
--- /dev/null
+++ b/t/recipes/checks/systemd/systemd-missing-services/build-spec/debian/systemd-missing-services-with.init
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+. /lib/lsb/init-functions
+
+### BEGIN INIT INFO
+# Provides: systemd-missing-services-with
+# Required-Start:
+# Required-Stop:
+# Default-Start:
+# Default-Stop:
+# Short-Description: Do nothing at all
+# Description: The short description pretty much covers it.
+### END INIT INFO
+
+case "$1" in
+ start|stop|force-reload|restart|status|*)
+ echo hello world!
+ ;;
+esac